#!/bin/bash
#cd raw
#   Processing fuji images, subtracting dark frames, which should 
#    exist already including their pgm and
#    whose names are to be introduced by alone standing 'D' 

#mkdir pgm

for G in *.raf
do
 F=${G/\.raf/}

dcraw152j -9 $G

mv $F.pgm pgm

jhead $F.jpeg >$F.txt

~/bin/raw2lumf -c fuji -fa \
  -sm100  -nh -nt -ni \
 -i $F.txt -e $F.eps -n $F.ppm -t 118 \
 -s71:76 pgm/$F.pgm > $F.tab

tail $F.tab

convert $F.ppm $F.png

rm $F.ppm

done

#res_listd

#zgv

