#!/bin/bash
#cd raw
#   Processing fuji images, subtracting dark frames, which should 
#    exist already including their pgm and
#    whose names are to be introduced by alone standing 'D' 

#mkdir pgm


D=N
DN=
DNp=
ON=
SN=
for F in $@
do
 if [ "$F" == "D" ] ||  [ "$F" == "O" ] ||  [ "$F" == "S" ]
  then
# first parameter should be D, second the dark frame number
   if  [ "$F" == "D" ]
   then    
    echo "D found"
    D=D
   elif  [ "$F" == "S" ]
   then    
    echo "S found"
    D=S
   else 
    echo "O found"
    D=O
   fi    
  elif 
   [ "$D" == "D" ] || [ "$D" == "O" ] || [ "$D" == "S" ] 
  then
   if [ "$D" == "D" ] 
   then
    if [ "$F" == "-" ]
    then
     DN=
     DNp=
    else  
     DN="-d dark/$F.pgm" 
     DNp=$DN
    fi 
    echo "darkframe set to $F"
    D=N
   elif [ "$D" == "S" ] 
   then
    if [ "$F" == "-" ]
    then
     SN=
    else
     SN=$F  
     DN=$DNp:$SN 
    fi 
    echo "Scaling set to $F"
    D=N
   else
    if [ "$F" == "-" ]
    then
     ON=
    else
     ON="-o dark/$F.pgm"
    fi 
    echo "offset frame set to $F"
    D=N
   fi    
  else
   echo "processing image $F"

#jhead $F.jpeg >$F.txt

#dcraw152j -9 $F.raw

#mv $F.pgm pgm

#raw2lum -c YCGM -fa -w 7.3 -fc1.03 -o 16380 \
#  $ON $DN -sm \
# -i $F.txt -e $F.eps -n $F.ppm -t168 -c 3412 \
# -s32 pgm/$F.pgm > $F.td

~/bin/raw2lumf -c fuji -fa \
  $DN -sm100 -nh -nt   \
 -i $F.txt -e ${F}a.eps -n $F.ppm -t 118 \
 -s71:76 pgm/$F.pgm > ${F}a.td

tail {$F}a.td

convert $F.ppm {$F}a.png

sed '2 s/1424 1076/1280  960 \
  1 1.12 div dup scale/'  {$F}a.eps >/tmp/n.eps

sed '2 s/1424 1076/2102 1521 \
  1.413 dup scale/'  {$F}a.eps >/tmp/n2.eps

convert -negate /tmp/n.eps /tmp/n.png  
composite -compose Difference /tmp/n.png $F.jpeg ${F}ag.jpeg

convert -negate /tmp/n2.eps /tmp/n2.png  
composite -compose Difference /tmp/n2.png $F.jpg ${F}ag.jpg

composite -compose Multiply {$F}a.eps $F.png ${F}ag.png

rm $F.ppm

 fi
done

#res_listd

#zgv

